

####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was vmmlibConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

####################################################################################

set(vmmlib_PREFIX_DIR ${PACKAGE_PREFIX_DIR})
if(CMAKE_VERSION VERSION_LESS 2.8.3) # WAR bug
  get_filename_component(CMAKE_CURRENT_LIST_DIR ${CMAKE_CURRENT_LIST_FILE} PATH)
endif()
list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR})
# Copyright (c) 2014 Stefan.Eilemann@epfl.ch

# Provides common_package(Name args) which improves find_package.
# First invokes find_package with all the given arguments, and then
# falls back to using pkg_config if available. The pkg_config path
# does only implement the version, REQUIRED and QUIET find_package
# arguments (e.g. no COMPONENTS)

find_package(PkgConfig)
set(ENV{PKG_CONFIG_PATH}
  "${CMAKE_INSTALL_PREFIX}/lib/pkgconfig:$ENV{PKG_CONFIG_PATH}")

macro(COMMON_PACKAGE Name)
  string(TOUPPER ${Name} COMMON_PACKAGE_NAME)
  set(COMMON_PACKAGE_ARGS ${ARGN}) # ARGN is not a list. make one.
  set(COMMON_PACKAGE_VERSION)

  if(COMMON_PACKAGE_ARGS)
    list(GET COMMON_PACKAGE_ARGS 0 COMMON_PACKAGE_VERSION)
    if(COMMON_PACKAGE_VERSION MATCHES "^[0-9.]+$") # is a version
      set(COMMON_PACKAGE_VERSION ">=${COMMON_PACKAGE_VERSION}")
    else()
      set(COMMON_PACKAGE_VERSION)
    endif()
  endif()

  list(FIND COMMON_PACKAGE_ARGS "QUIET" COMMON_PACKAGE_QUIET_POS)
  if(COMMON_PACKAGE_QUIET_POS EQUAL -1)
    set(COMMON_PACKAGE_QUIET)
  else()
    set(COMMON_PACKAGE_QUIET "QUIET")
  endif()

  list(FIND COMMON_PACKAGE_ARGS "REQUIRED" COMMON_PACKAGE_REQUIRED_POS)
  if(COMMON_PACKAGE_REQUIRED_POS EQUAL -1) # Optional find
    find_package(${Name} ${COMMON_PACKAGE_ARGS}) # try standard cmake way
    if((NOT ${Name}_FOUND) AND (NOT ${COMMON_PACKAGE_NAME}_FOUND) AND PKG_CONFIG_EXECUTABLE)
      pkg_check_modules(${Name} ${Name}${COMMON_PACKAGE_VERSION}
        ${COMMON_PACKAGE_QUIET}) # try pkg_config way
    endif()
  else() # required find
    list(REMOVE_AT COMMON_PACKAGE_ARGS ${COMMON_PACKAGE_REQUIRED_POS})
    find_package(${Name} ${COMMON_PACKAGE_ARGS}) # try standard cmake way
    if((NOT ${Name}_FOUND) AND (NOT ${COMMON_PACKAGE_NAME}_FOUND) AND PKG_CONFIG_EXECUTABLE)
      pkg_check_modules(${Name} REQUIRED ${Name}${COMMON_PACKAGE_VERSION}
        ${COMMON_PACKAGE_QUIET}) # try pkg_config way (and fail if needed)
    endif()
  endif()
endmacro()

set(_req)
set(_quiet)
set(vmmlib_fail)
set(VMMLIB_COMPONENTS)
if(NOT VMMLIB_FOUND)
  set(VMMLIB_STATUS ON)
else()
  set(VMMLIB_STATUS)
endif()

if(vmmlib_FIND_REQUIRED)
  set(_req REQUIRED)
endif()
if(vmmlib_FIND_QUIETLY)
  set(_quiet QUIET)
endif()

set(VMMLIB_FIND_FILES )
set(_output_type)
set(_out)
if(vmmlib_FIND_REQUIRED)
  set(_output_type FATAL_ERROR)
  set(_out 1)
else()
  set(_output_type STATUS)
  if(NOT vmmlib_FIND_QUIETLY)
    set(_out 1)
  endif()
endif()
if(NOT vmmlib_fail)
  list(APPEND VMMLIB_INCLUDE_DIRS ${vmmlib_PREFIX_DIR}/include)
  set(VMMLIB_DEB_DEPENDENCIES "vmmlib3 (>= 1.8)")
  set(VMMLIB_DEB_LIB_DEPENDENCY "vmmlib3-lib (>= 1.8)")
  set(VMMLIB_DEB_DEV_DEPENDENCY "vmmlib3-dev (>= 1.8)")

  if(vmmlib_FIND_COMPONENTS)
    find_library(${UPPER_PROJECT_NAME}_LIBRARY vmmlib NO_DEFAULT_PATH
                 PATHS ${vmmlib_PREFIX_DIR} PATH_SUFFIXES lib )
    list(APPEND VMMLIB_LIBRARIES ${VMMLIB_LIBRARY})
    foreach(_component ${vmmlib_FIND_COMPONENTS})
      find_library(${_component}_libraryname vmmlib_${_component} NO_DEFAULT_PATH
        PATHS ${vmmlib_PREFIX_DIR} PATH_SUFFIXES lib )

      if(${_component}_libraryname MATCHES "${_component}_libraryname-NOTFOUND")
        if(vmmlib_FIND_REQUIRED_${_component})
          set(vmmlib_fail "Component ${_component} ")
          message(FATAL_ERROR "   vmmlib_${_component} "
            "not found in ${vmmlib_PREFIX_DIR}/lib")
        elseif(NOT _quiet)
          message(STATUS "   vmmlib_${_component} "
            "not found in ${vmmlib_PREFIX_DIR}/lib")
        endif()
      else()
        string(TOUPPER ${_component} _COMPONENT)
        set(VMMLIB_${_COMPONENT}_FOUND TRUE)
        set(VMMLIB_${_COMPONENT}_LIBRARY ${${_component}_libraryname})
        list(APPEND VMMLIB_LIBRARIES ${${_component}_libraryname})
        list(APPEND VMMLIB_COMPONENTS ${_component})
      endif()
    endforeach()
  elseif(VMMLIB_FIND_FILES)
    find_file(VMMLIB_FILE NAMES  NO_DEFAULT_PATH
              PATHS ${vmmlib_PREFIX_DIR} PATH_SUFFIXES include)
    if(VMMLIB_FILE MATCHES "VMMLIB_FILE-NOTFOUND")
      set(vmmlib_fail " ")
      if(_out)
        message(${_output_type} "   Missing the vmmlib "
          "file in ${vmmlib_PREFIX_DIR}/include.")
      endif()
    endif()
  else()
    set(VMMLIB_LIBRARY_NAMES "")
    foreach(_libraryname ${VMMLIB_LIBRARY_NAMES})
      string(TOUPPER ${_libraryname} _LIBRARYNAME)
      find_library(${_LIBRARYNAME}_LIBRARY ${_libraryname} NO_DEFAULT_PATH
                   PATHS ${vmmlib_PREFIX_DIR} PATH_SUFFIXES lib )
      if(${_LIBRARYNAME}_LIBRARY MATCHES "${_LIBRARYNAME}_LIBRARY-NOTFOUND")
        set(vmmlib_fail "${_libraryname} ")
        if(_out)
          message(${_output_type}
            "   Missing ${_libraryname} in ${vmmlib_PREFIX_DIR}/lib")
        endif()
      else()
        list(APPEND VMMLIB_LIBRARIES ${${_LIBRARYNAME}_LIBRARY})
        string(REPLACE "vmmlib_" "" _component ${_libraryname})
        string(TOUPPER ${_component} _COMPONENT)
        set(VMMLIB_${_COMPONENT}_FOUND TRUE)
        list(APPEND VMMLIB_COMPONENTS ${_component})
      endif()
    endforeach()
  endif()

  if(EXISTS ${vmmlib_PREFIX_DIR}/share/vmmlib/CMake/options.cmake)
    include(${vmmlib_PREFIX_DIR}/share/vmmlib/CMake/options.cmake)
  endif()
endif()

list(APPEND VMMLIB_LIBRARIES ${VMMLIB_DEP_LIBRARIES})
set(VMMLIB_DEP_LIBRARIES)
if(vmmlib_fail)
  set(VMMLIB_FOUND)
  set(vmmlib_FOUND)
  set(VMMLIB_VERSION)
  set(VMMLIB_VERSION_ABI)
  set(VMMLIB_INCLUDE_DIRS)
  set(VMMLIB_LIBRARIES)
  set(VMMLIB_DEB_DEPENDENCIES)
  set(VMMLIB_LIBRARY)
  set(VMMLIB_COMPONENTS)
  if(_out)
    message(STATUS "Could not find vmmlib: ${vmmlib_fail} not found")
  endif()
else()
  set(VMMLIB_FOUND TRUE)
  set(vmmlib_FOUND TRUE)
  set(VMMLIB_VERSION 1.8.0)
  set(VMMLIB_VERSION_ABI 3)
  set(VMMLIB_MODULE_FILENAME )
  list(SORT VMMLIB_INCLUDE_DIRS)
  list(REMOVE_DUPLICATES VMMLIB_INCLUDE_DIRS)
  if(VMMLIB_LIBRARIES)
    list(REMOVE_DUPLICATES VMMLIB_LIBRARIES)
  endif()
  if(_out AND VMMLIB_STATUS)
    message(STATUS "Found vmmlib 1.8.0-3 [${VMMLIB_COMPONENTS}] in "
      "${VMMLIB_INCLUDE_DIRS}:${VMMLIB_LIBRARY}")
  endif()
endif()
